Skip to main content

Create or update

Creates new catalogs or updates existing ones.

Request parameters

NameTypeRequired/OptionalDescription
catalogsBikPlatformCatalog[]RequiredArray of catalog objects to create or update

BikPlatformCatalog Type

NameTypeRequired/OptionalDescription
namestringRequiredThe name of the catalog
idstringRequiredThe ID of the catalog
descriptionstringOptionalThe description of the catalog
imagestringOptionalThe URL of the catalog image
urlstringOptionalThe URL of the catalog on the storefront

Request Information

CategoryValue
Http requestPOST
URLhttps://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/createOrUpdate

Sample request

curl --location 'https://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/createOrUpdate' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic AUTH_TOKEN' \
--data '{
"catalogs": [
{
"name": "Catalog 1",
"id": "453048500520",
"description": "Test catalog 1",
"url": "https://test.com"
}
]
}'

JSON response example:

{
"status": 200,
"success": true,
"data": {
"catalogs": [
{
"name": "Catalog 1",
"description": "Test catalog 1",
"id": "453048500520",
"url": "https://test.com"
}
]
}
}

Response parameters

NameTypeDescription
statusnumberHTTP status code
successbooleanIndicates whether the request succeeded
dataobjectObject containing the catalogs array of BikPlatformCatalog

Errors

Error CodeMeaning
400Invalid payload -- Your request is invalid.
401Unauthorized -- User is not authenticated.
404Not Found -- The specified API could not be found.
500Internal Server Error -- We had a problem with our server. Try again later.

Error response example:

{
"status": 400,
"errors": [
{
"message": "'catalogs' is required."
}
]
}